# Class MessageDestination

java.lang.Object
org.apache.tomcat.util.descriptor.web.ResourceBase
org.apache.tomcat.util.descriptor.web.MessageDestination

All Implemented Interfaces:
  `Serializable, Injectable`

public class MessageDestination extends ResourceBase

Representation of a message destination for a web application, as represented in a `<message-destination>` element in the deployment descriptor.

Since:
  Tomcat 5.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MessageDestination()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getDisplayName()`
Get the display name.
`String`
`getLargeIcon()`
Get the large icon.
`String`
`getSmallIcon()`
Get the small icon.
`int`
`hashCode()`
`void`
`setDisplayName(String displayName)`
Set the display name.
`void`
`setLargeIcon(String largeIcon)`
Set the large icon.
`void`
`setSmallIcon(String smallIcon)`
Set the small icon.
`String`
`toString()`
Return a String representation of this object.

### Methods inherited from class ResourceBase

`addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageDestination

public MessageDestination()
Default constructor.

## Method Details

### getDisplayName

public String getDisplayName()
Get the display name.

Returns:
  the display name

### setDisplayName

public void setDisplayName(String displayName)
Set the display name.

Parameters:
  `displayName` - the display name

### getLargeIcon

public String getLargeIcon()
Get the large icon.

Returns:
  the large icon

### setLargeIcon

public void setLargeIcon(String largeIcon)
Set the large icon.

Parameters:
  `largeIcon` - the large icon

### getSmallIcon

public String getSmallIcon()
Get the small icon.

Returns:
  the small icon

### setSmallIcon

public void setSmallIcon(String smallIcon)
Set the small icon.

Parameters:
  `smallIcon` - the small icon

### toString

public String toString()
Return a String representation of this object.

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `ResourceBase`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `ResourceBase`